Bug 19021 - A single manifest file pre page will be problematic for web authoring programmers like myself, and Lib developers like jQuery. It will cause all types of problems with mash-ups of various providers of web apps on a single page. Can U please consider addin
A single manifest file pre page will be problematic for web authoring program...
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 21:54 UTC by contributor
Modified: 2012-09-25 22:26 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 21:54:35 UTC
This was was cloned from bug 10206 as part of operation LATER convergence.
Originally filed: 2010-07-20 06:09:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2010-07-20 06:09:05 +0000 
--------------------------------------------------------------------------------
Section: http://www.whatwg.org/specs/web-apps/current-work/#offline

Comment:
A single manifest file pre page will be problematic for web authoring
programmers like myself, and Lib developers like jQuery. It will cause all
types of problems with mash-ups of various providers of web apps on a single
page. Can U please consider adding to the HTML5 spec the ability to allow for
more than one manifest file per page. It could follow the same logic of using
multi css files. (filed for Robert Stack)

Posted from: 98.248.33.53 by ian@hixie.ch
================================================================================
 #1   Ian 'Hixie' Hickson                             2010-09-08 06:44:03 +0000 
--------------------------------------------------------------------------------
Seems like a reasonable thing to consider for v2, if we decide the manifest feature is worth keeping.

In the meantime, you can work around this using iframes, I believe.


EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: Marking LATER for now, as per comments above.
================================================================================